%define api_version	1
%define lib_major	0
%define lib_name	%mklibname %{name}- %{api_version} %{lib_major}
%define devel_name	%mklibname %{name} -d

Summary:	C library for programming with the Jabber protocol
Name:		loudmouth
Version:	1.5.4
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries
URL:		https://github.com/mcabber/loudmouth/
Source0:	https://mcabber.com/files/loudmouth/loudmouth-%{version}.tar.bz2

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gnutls) >= 1.0.0
BuildRequires:	pkgconfig(libidn)
BuildRequires:	gtk-doc

%description
Loudmouth is a lightweight and easy-to-use C library for programming with the
Jabber protocol. It's designed to be easy to get started with and yet
extensible to let you do anything the Jabber protocol allows.

%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}

%description -n %{lib_name}
Loudmouth is a lightweight and easy-to-use C library for programming with the
Jabber protocol. It's designed to be easy to get started with and yet
extensible to let you do anything the Jabber protocol allows.

%package -n %{devel_name}
Summary:	Libraries and include files for loudmouth
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	glib2-devel
Obsoletes:	%mklibname -d %{name}- 1 0

%description -n %{devel_name}
Loudmouth is a lightweight and easy-to-use C library for programming with the
Jabber protocol. It's designed to be easy to get started with and yet
extensible to let you do anything the Jabber protocol allows.

This package includes libraries and header files for developing
Loudmouth applications.

%prep
%setup -q

%build
%configure --enable-gtk-doc --with-asyncns --disable-static --with-compile-warnings=yes
%make_build -j4

%install
%make_install

#we dont' want these
find %{buildroot} -name "*.la" -delete

%files -n %{lib_name}
%{_libdir}/*-%{api_version}.so.%{lib_major}{,.*}

%files -n %{devel_name}
%doc README AUTHORS NEWS
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.5.4-3.mga10
+ Revision: 2213660
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 1.5.4-2.mga9
+ Revision: 1839261
- Mageia 9 Mass Rebuild

* Wed Mar 03 2021 daviddavid <daviddavid> 1.5.4-1.mga9
+ Revision: 1696782
- new version: 1.5.4

* Thu Feb 13 2020 umeabot <umeabot> 1.5.3-4.mga8
+ Revision: 1514885
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.5.3-3.mga7
+ Revision: 1299346
- Mageia 7 Mass Rebuild

* Fri May 11 2018 kekepower <kekepower> 1.5.3-2.mga7
+ Revision: 1228377
- Rebuild for libidn 1.35

* Wed Apr 04 2018 kekepower <kekepower> 1.5.3-1.mga7
+ Revision: 1215158
- Use new make macros

* Mon May 09 2016 luigiwalser <luigiwalser> 1.5.3-1.mga6
+ Revision: 1011520
- 1.5.3

* Mon Jan 11 2016 luigiwalser <luigiwalser> 1.5.1-2.mga6
+ Revision: 921824
- rebuild for gnutls

* Sat Jan 02 2016 luigiwalser <luigiwalser> 1.5.1-1.mga6
+ Revision: 918452
- 1.5.1
- new upstream
- remove patches (fixed upstream)

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-14.mga5
+ Revision: 751252
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.3-13.mga5
+ Revision: 681998
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.3-12.mga4
+ Revision: 507548
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.4.3-11.mga3
+ Revision: 358952
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 1.4.3-10.mga3
+ Revision: 339962
- patch2: fix build with automake 1.13

* Fri Dec 28 2012 wally <wally> 1.4.3-9.mga3
+ Revision: 335880
- add patch to fix build with new glib
- clean .spec a bit

* Tue Aug 02 2011 fwang <fwang> 1.4.3-8.mga2
+ Revision: 131386
- do not shipp la files

* Mon Jan 24 2011 ahmad <ahmad> 1.4.3-7.mga1
+ Revision: 35841
- drop old/unneeded scriptlets
- imported package loudmouth


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-6mdv2011.0
+ Revision: 606418
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-5mdv2010.1
+ Revision: 523205
- rebuilt for 2010.1

* Sat Jun 06 2009 Frederik Himpe <fhimpe@mandriva.org> 1.4.3-4mdv2010.0
+ Revision: 383285
- Add 3 Debian patches fixing crashes and login failures

* Sat May 30 2009 Funda Wang <fwang@mandriva.org> 1.4.3-3mdv2010.0
+ Revision: 381471
- rebuild with latest gnutls 2.8

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 1.4.3-2mdv2009.1
+ Revision: 309153
- rebuild to get rid of libtasn1 dep

* Wed Oct 29 2008 Götz Waschk <waschk@mandriva.org> 1.4.3-1mdv2009.1
+ Revision: 298653
- update to new version 1.4.3

* Thu Aug 28 2008 Götz Waschk <waschk@mandriva.org> 1.4.2-1mdv2009.0
+ Revision: 276875
- new version

* Thu Jul 31 2008 Götz Waschk <waschk@mandriva.org> 1.4.1-1mdv2009.0
+ Revision: 257599
- new version

* Mon Jul 21 2008 Götz Waschk <waschk@mandriva.org> 1.4.0-2mdv2009.0
+ Revision: 239313
- enable Asynchronous DNS as recommended by gossip

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 09 2008 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-1mdv2009.0
+ Revision: 217063
- Release 1.4.0

* Tue Apr 15 2008 Götz Waschk <waschk@mandriva.org> 1.3.4-2mdv2009.0
+ Revision: 194079
- obsolete the right package
- fix typo in deps

* Mon Apr 14 2008 Frederik Himpe <fhimpe@mandriva.org> 1.3.4-1mdv2009.0
+ Revision: 193009
- New version
- New license policy
- New library policy (devel name)

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.2.3-4mdv2008.1
+ Revision: 170967
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.2.3-2mdv2008.1
+ Revision: 152865
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Frederic Crozat <fcrozat@mandriva.com>
    - Update url

* Sun Jun 10 2007 Götz Waschk <waschk@mandriva.org> 1.2.3-1mdv2008.0
+ Revision: 37905
- new version

* Thu May 31 2007 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdv2008.0
+ Revision: 33398
- new version
- fix buildrequires


* Fri Feb 02 2007 Frederic Crozat <fcrozat@mandriva.com> 1.2.0-1mdv2007.0
+ Revision: 115974
- Release 1.2.0
- Import loudmouth

* Tue Sep 12 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.5-1mdv2007.0
- Release 1.0.5

* Tue Jul 04 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.4-1mdv2007.0
- Release 1.0.4

* Sat Apr 29 2006 Jerome Soyer <saispo@mandriva.org> 1.0.3-1mdk
- New release 1.0.3

* Wed Aug 17 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-1mdk 
- Release 1.0.1

* Tue May 10 2005 Frederic Crozat <fcrozat@mandriva.com> 0.90-1mdk 
- Release 0.90

* Tue Dec 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.17.2-2mdk 
- Rebuild with latest gnutls

* Tue Nov 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.17.2-1mdk
- New release 0.17.2

* Wed Sep 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.17.1-1mdk
- New release 0.17.1

* Sat Aug 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.17-1mdk
- New release 0.17
- Enable libtoolize

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-2mdk
- Rebuild against latest gnutls

* Sat Apr 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-1mdk
- Release 0.16

